package de.ivu.elect.sitzberechnung.entity;

import de.ivu.elect.sitzberechnung.Gewaehlt;
import de.ivu.elect.sitzberechnung.GewaehltStatus;
import de.ivu.elect.sitzberechnung.Kandidatur;

public class DefaultGewaehlt implements Gewaehlt {

  private final Kandidatur kandidatur;
  private final GewaehltStatus gewaehltStatus;
  private final Long rang;

  public DefaultGewaehlt(Kandidatur kandidatur, GewaehltStatus gewaehltStatus, Long rang) {
    this.kandidatur = kandidatur;
    this.gewaehltStatus = gewaehltStatus;
    this.rang = rang;
  }

  @Override
  public Kandidatur getKandidatur() {
    return kandidatur;
  }

  @Override
  public GewaehltStatus getGewaehltStatus() {
    return gewaehltStatus;
  }

  @Override
  public Long getRang() {
    return rang;
  }

  @Override
  public String toString() {
    return "DefaultGewaehlt{" +
            "kandidatur=" + kandidatur +
            ", gewaehltStatus=" + gewaehltStatus +
            ", rang=" + rang +
            '}';
  }
}
